postCreate webhook subscription
Required capability
webhooks.createCreates an active webhook subscription. If omitted, scope_ref is derived from the authenticated enterprise or client context.
Request
Request URL
POST /webhook-subscriptionsRequest Body
{
"event_types": [
"operations.withdrawal.settled.v1"
],
"scope_ref": "enterprises/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
"secret": "wh_secret_placeholder",
"url": "https://example.com/webhooks"
}Responses
Response
{
"created_at": "2026-05-01T10:00:00Z",
"etag": "W/\"a1b2c3d4\"",
"event_types": [
"operations.withdrawal.settled.v1"
],
"id": "b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
"resource": "webhook_subscription",
"scope_ref": "enterprises/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
"status": "active",
"updated_at": "2026-05-01T10:00:00Z",
"url": "https://example.com/webhooks"
}Resource created successfully.